#include <bits/stdc++.h>
using namespace std;
#define ll long long



int largest(double arr[], int n) 
{ 
    int i; 
      
    double max = arr[0]; 
  
    for (i = 1; i < n; i++) 
        if (arr[i] > max) 
            max = arr[i]; 
  
    return max; 
} 

const int Mxn=1e6;

int main(){

ios::sync_with_stdio(0);
cin.tie(0);
double zbir=0,p;
int n;
cin>>n;
int A[Mxn];double P[n];
for(int i=0;i<n;i++){
	cin>>A[i]>>P[i];
}
int k=sizeof(P)/sizeof(P[0]);
int count=1;double procenat;
//Koji procenat najvise odgovara

for(int i=0;i<n;i++){
	if(P[i]<=P[i+1])
		count++;
P[i]*=count;
procenat=largest(P,k);
procenat/=count;

//Koji brojevi mogu da se saberu.
bool s;
if(P[i]>=procenat){
	s=true;
}
else 
	s=false;

if(s==true)
	zbir+=A[i];
}


cout<<fixed<<setprecision(4)<<zbir*(procenat+0.32)/100<<"\n";

return 0;
}